Nowe posty

Autor Wątek: Nie mogę zainstalować wine - błąd  (Przeczytany 215 razy)

Offline olus445

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 2
    • Zobacz profil
Nie mogę zainstalować wine - błąd
« dnia: 2019-12-07, 09:49:37 »
Witam,
jestem w linuxie od niedawna, potrzebuję zainstalować plik .exe i do tego chcę zainstalować wine. Próbuje instalację z repozytorium ale mam błąd
Cytuj
Stary:1 http://pl.archive.ubuntu.com/ubuntu bionic InRelease
Ign.:2 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic InRelease       
Stary:3 http://pl.archive.ubuntu.com/ubuntu bionic-updates InRelease           
Pobieranie:4 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Stary:5 http://pl.archive.ubuntu.com/ubuntu bionic-backports InRelease         
Błąd:6 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic Release         
  404  Not Found [IP: 91.189.95.83 80]
Czytanie list pakietów... Gotowe                                               
E: The repository 'http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Nie wiem co dalej, ktoś coś?
Pozdrawiam

Offline pavbaranov

  • Users
  • Guru
  • *****
  • Wiadomości: 566
    • Zobacz profil
Odp: Nie mogę zainstalować wine - błąd
« Odpowiedź #1 dnia: 2019-12-07, 10:00:27 »
Usuń repozytorium PPA ubuntu-wine, samo wine masz w repozytorium Ubuntu.

Offline olus445

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 2
    • Zobacz profil
Odp: Nie mogę zainstalować wine - błąd
« Odpowiedź #2 dnia: 2019-12-07, 10:14:39 »
teraz po usunięciu jak próbuje zainstalować wyskakuje mi:
Cytuj
Stary:1 http://pl.archive.ubuntu.com/ubuntu bionic InRelease
Stary:2 http://pl.archive.ubuntu.com/ubuntu bionic-updates InRelease           
Stary:3 http://pl.archive.ubuntu.com/ubuntu bionic-backports InRelease         
Pobieranie:4 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Pobrano 88,7 kB w 1s (87,0 kB/s)                               
Czytanie list pakietów... Gotowe
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Pakiet wine jest pakietem wirtualnym zapewnianym przez:
  wine-stable 3.0-1ubuntu1
  wine-development 3.6-1
Należy jednoznacznie wybrać jeden z nich do instalacji.

E: Pakiet wine nie ma kandydata do instalacji

Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2334
  • 1709
    • Zobacz profil
Odp: Nie mogę zainstalować wine - błąd
« Odpowiedź #3 dnia: 2019-12-07, 10:21:15 »
apt-get update

Edit
Ja kiedyś używałem z repozytorium wine.  ( Było teoretycznie nowsze )  https://wiki.winehq.org/Ubuntu
Natomiast winetrics pobierałem najnowsze z github.
https://forum.linux.pl/index.php/topic,25425.msg136654.html#msg136654


Edit
Nie nie podales pelnej nazwy
Terminal Ci sugeruje ze musisz wybrac, albo  wine-stable , albo wine-development
« Ostatnia zmiana: 2019-12-07, 10:38:59 wysłana przez 1709 »
Pochwal się swoją kartą graficzną w tym wątku-->
http://forum.linux.pl/index.php/topic,19841.msg121122.html#msg121122

Offline pavbaranov

  • Users
  • Guru
  • *****
  • Wiadomości: 566
    • Zobacz profil
Odp: Nie mogę zainstalować wine - błąd
« Odpowiedź #4 dnia: 2019-12-07, 10:54:45 »
teraz po usunięciu jak próbuje zainstalować wyskakuje mi:
Cytuj
(CUT)Pakiet wine jest pakietem wirtualnym zapewnianym przez:
  wine-stable 3.0-1ubuntu1
  wine-development 3.6-1
Należy jednoznacznie wybrać jeden z nich do instalacji.
Uczyć czytać Cię mamy? Po polsku napisał Ci APT, że masz dokonać jednoznacznego wyboru aplikacji, którą chcesz zainstalować. Wybór masz między wine-stable, a wine-development. Pierwsza to tzw. wersja stabilna, druga "rozwojowa" (czyli taka, która jest na drodze do następnej stabilnej). Zwykle te "rozwojowe" mają możliwość obsługi większej ilości aplikacji Windows, ale mogą też nie działać prawidłowo w 100%. Musisz zatem się zdecydować i wskazać dokładną nazwę (spośród tych dwu), którą aplikację chcesz zainstalować.
PS: Zainstaluj sobie np. synaptic - będzie Ci łatwiej instalować aplikacje.

Offline exPredator

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 156
    • Zobacz profil
Odp: Nie mogę zainstalować wine - błąd
« Odpowiedź #5 dnia: 2019-12-09, 10:54:46 »
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key
sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
sudo apt update && sudo apt install --install-recommends winehq-stable
sudo apt-get install wine

no i u mnie po powyższym przyleciało WINE 4.0 STABLE.
Trzeba uruchomić po instalacji WINE-CONFIG i wybrać system Windows z ustawieniach, ja zawsze biorę Windows8.
Dopiero wtedy spróbować zainstalować jakiekolwiek oprogramowanie spod Windows (np. audacity.exe)  ... i dzieki temu zostaną pobrane biblioteki dla Windows8 (Gecko i inne słynne). Bez wyboru (moim zdaniem) Windows8 w wine widnieją gecko i inne dla WinXP x86 bo tak ustawiony jest Wine tuż po instalacji.

U mnie po takiej konfiguracji jak napisałem bez problemu działa cały pakiet MS Office 2007, działa Automapa EU, działa Sony Vegas. Udaje się też uruchomić Photoshopa CS6. Prefiksy w WINE mam ustawione oba czyli x64 i x86.
Udaje się też uruchomić np. Adobe Premiere CS6 ale trzeba się ttochę namęczyć, to znaczy, zainstalować sobie najpierw cały pakiet pod Windowsem (np. wirtualnie) a następnie poprzenosić kilka ton zainstalowanych już plików z konkretne miejsca na dyski C w WINE. 

Offline mackeire

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 254
    • Zobacz profil
Odp: Nie mogę zainstalować wine - błąd
« Odpowiedź #6 dnia: 2019-12-09, 16:04:07 »
Po grzyba Ci linux skoro instalujesz same windziane aplikacje ?